#include <Arduino_HTS221.h>  // Biblioteca per al sensor HTS221

void setup() {
  // Inicialitzar la comunicació sèrie
  Serial.begin(9600);
  while (!Serial);

  // Inicialitzar el sensor HTS221
  if (!HTS.begin()) {
    Serial.println("Error inicialitzant el sensor HTS221!");
    while (1);
  }

  Serial.println("Sensor HTS221 inicialitzat correctament.");
}

void loop() {
  // Llegir temperatura i humitat del sensor HTS221
  float temperatura = HTS.readTemperature();
  float humitat = HTS.readHumidity();

  // Enviar els valors per sèrie
  Serial.print("Temperatura:");
  Serial.print(temperatura);
  Serial.print(";Humitat:");
  Serial.println(humitat);

  // Esperar 5 segons abans de la següent lectura
  delay(5000);
}
